org.eclipse.cdt.core.model

## Interface IMacroEntry

All Superinterfaces:
  IPathEntry

    public interface IMacroEntry
    extends IPathEntry

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.IPathEntry

`CDT_CONTAINER, CDT_INCLUDE, CDT_INCLUDE_FILE, CDT_LIBRARY, CDT_MACRO, CDT_MACRO_FILE, CDT_OUTPUT, CDT_PROJECT, CDT_SOURCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[][]` `fullExclusionPatternChars()` Returns a char based representation of the exclusions patterns full path.
`IPath` `getBasePath()` Return the base path.
`IPath` `getBaseReference()` return the base reference IMacroEntry
`IPath[]` `getExclusionPatterns()` Returns an array of inclusion paths affecting the resource when looking for files recursively.
`java.lang.String` `getMacroName()` Returns the macro name.
`java.lang.String` `getMacroValue()` Returns the macro value.

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntry

`getEntryKind, getPath, isExported`

### Method Detail

#### getMacroName

    java.lang.String getMacroName()

Returns the macro name.

Returns:
  String

#### getMacroValue

    java.lang.String getMacroValue()

Returns the macro value.

Returns:
  String

#### getExclusionPatterns

    IPath[] getExclusionPatterns()

Returns an array of inclusion paths affecting the resource when looking for files recursively.

Returns:
  IPath

#### fullExclusionPatternChars

    char[][] fullExclusionPatternChars()

Returns a char based representation of the exclusions patterns full path.

#### getBasePath

    IPath getBasePath()

Return the base path.

#### getBaseReference

    IPath getBaseReference()

return the base reference IMacroEntry